summaryrefslogtreecommitdiff
path: root/pyraf
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@users.noreply.github.com>2016-08-23 20:18:33 -0400
committerGitHub <noreply@github.com>2016-08-23 20:18:33 -0400
commit91e59f3ebcfe0b824bd2ecba743ec25c41430427 (patch)
tree4bec8118c98c3c2bc5ee23772a6c9e71db7cc240 /pyraf
parent545448ec63743c57b9fefcd572ff6d79d9dcf3a3 (diff)
downloadastroconda-contrib-91e59f3ebcfe0b824bd2ecba743ec25c41430427.tar.gz
Remove or silence 2to3 execution (#55)
Diffstat (limited to 'pyraf')
-rw-r--r--pyraf/build.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/pyraf/build.sh b/pyraf/build.sh
index 8295030..3974e86 100644
--- a/pyraf/build.sh
+++ b/pyraf/build.sh
@@ -5,7 +5,11 @@ fi
if [[ $PY3K > 0 ]]; then
set +e
- 2to3 -w .
+ echo Running 2to3...
+ 2to3 -w . &>/dev/null
+ if [[ $? != 0 ]]; then
+ echo "ERROR: 2to3 technically failed!"
+ fi
fi
python setup.py install || exit 1